/*
//====================================================================
// FlagPenaltyMessage.
// Last Edited On 05 April 2005
// Copyright (C) 2005 L7 (L7@noobed.com)
// This program is free software; you can redistribute it and/or
// modify it under the terms of the Open Unreal Mod License.
//====================================================================
*/
class FlagPenaltyMessage extends CriticalEventPlus;

var localized string SelfPenaltyString;
var localized string PenaltyString;

var sound FlagPenaltySound;

/*
================
GetFontSize.
================
*/
static function int GetFontSize( int Switch,
                                 PlayerReplicationInfo RelatedPRI1,
                                 PlayerReplicationInfo RelatedPRI2,
                                 PlayerReplicationInfo LocalPlayer )
{
    local Pawn ViewPawn;

    if ( LocalPlayer == RelatedPRI1 ) {
        return 1;
    }

    if ( LocalPlayer.bOnlySpectator ) {

        ViewPawn = Pawn(LocalPlayer.Level.GetLocalPlayerController().ViewTarget);

        if ( ( ViewPawn != None ) &&
             ( ViewPawn.PlayerReplicationInfo == RelatedPRI1 ) ) {
            return 1;
        }
    }

    return default.FontSize;
}

/*
=================
GetRelatedString.
=================
*/
static function string GetRelatedString( optional int Switch,
                                         optional PlayerReplicationInfo RelatedPRI_1,
                                         optional PlayerReplicationInfo RelatedPRI_2,
                                         optional Object OptionalObject )
{
    return default.SelfPenaltyString;
}

/*
================
GetString.
================
*/
static function string GetString( optional int Switch,
                                  optional PlayerReplicationInfo RelatedPRI_1,
                                  optional PlayerReplicationInfo RelatedPRI_2,
                                  optional Object OptionalObject )
{
    if ( RelatedPRI_1 == None ) {
        return "";
    }

    if ( RelatedPRI_1.PlayerName != "" ) {
        return RelatedPRI_1.PlayerName@default.PenaltyString;
    }

    return "";
}

/*
================
ClientReceive.
================
*/
static simulated function ClientReceive( PlayerController P,
                                         optional int Switch,
                                         optional PlayerReplicationInfo RelatedPRI_1,
                                         optional PlayerReplicationInfo RelatedPRI_2,
                                         optional Object OptionalObject )
{
    Super.ClientReceive( P, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject );
    P.PlayBeepSound();
/*
    if ( ( RelatedPRI_1 == P.PlayerReplicationInfo ) ||
         ( ( P.PlayerReplicationInfo.bOnlySpectator ) &&
           ( Pawn(P.ViewTarget) != None ) &&
           ( Pawn(P.ViewTarget).PlayerReplicationInfo == RelatedPRI_1 ) ) ) {
        P.ClientPlaySound( default.FlagPenaltySound );
    } else {
        P.PlayBeepSound();
    }
*/
}

defaultproperties
{
    FontSize=0
    SelfPenaltyString="Flag Penalty!"
    PenaltyString="got flag fragged!"
    FlagPenaltySound=sound'AnnouncerFemale2k4.Generic.Camper'
}
